org.wildfly.swarm.config.modcluster.mod_cluster_config

## Class ConfigurationDynamicLoadProvider<T extends ConfigurationDynamicLoadProvider<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.modcluster.mod_cluster_config.ConfigurationDynamicLoadProvider<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class ConfigurationDynamicLoadProvider<T extends ConfigurationDynamicLoadProvider<T>>
      extends HashMap

  Dynamic load provider
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConfigurationDynamicLoadProvider.ConfigurationDynamicLoadProviderResources` Child mutators for ConfigurationDynamicLoadProvider

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationDynamicLoadProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `customLoadMetric(CustomLoadMetric value)` Add the CustomLoadMetric object to the list of subresources
    `T` | `customLoadMetric(CustomLoadMetricSupplier supplier)` Install a supplied CustomLoadMetric object to the list of subresources
    `T` | `customLoadMetric(String childKey)` Create and configure a CustomLoadMetric object to the list of subresources
    `T` | `customLoadMetric(String childKey, CustomLoadMetricConsumer consumer)` Create and configure a CustomLoadMetric object to the list of subresources
    `T` | `customLoadMetrics(List<CustomLoadMetric> value)` Add all CustomLoadMetric objects to this subresource
    `Integer` | `decay()` Decay
    `T` | `decay(Integer value)` Decay
    `String` | `getKey()`
    `Integer` | `history()` History
    `T` | `history(Integer value)` History
    `T` | `loadMetric(LoadMetric value)` Add the LoadMetric object to the list of subresources
    `T` | `loadMetric(LoadMetricSupplier supplier)` Install a supplied LoadMetric object to the list of subresources
    `T` | `loadMetric(String childKey)` Create and configure a LoadMetric object to the list of subresources
    `T` | `loadMetric(String childKey, LoadMetricConsumer consumer)` Create and configure a LoadMetric object to the list of subresources
    `T` | `loadMetrics(List<LoadMetric> value)` Add all LoadMetric objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `ConfigurationDynamicLoadProvider.ConfigurationDynamicLoadProviderResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ConfigurationDynamicLoadProvider

          public ConfigurationDynamicLoadProvider()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ConfigurationDynamicLoadProvider.ConfigurationDynamicLoadProviderResources subresources()

    - #### loadMetrics

          public T loadMetrics(List<LoadMetric> value)

      Add all LoadMetric objects to this subresource
      Parameters:
        `value` - List of LoadMetric objects.
      Returns:
        this

    - #### loadMetric

          public T loadMetric(LoadMetric value)

      Add the LoadMetric object to the list of subresources
      Parameters:
        `value` - The LoadMetric to add
      Returns:
        this

    - #### loadMetric

          public T loadMetric(String childKey,
                              LoadMetricConsumer consumer)

      Create and configure a LoadMetric object to the list of subresources
      Parameters:
        `key` - The key for the LoadMetric resource
        `config` - The LoadMetricConsumer to use
      Returns:
        this

    - #### loadMetric

          public T loadMetric(String childKey)

      Create and configure a LoadMetric object to the list of subresources
      Parameters:
        `key` - The key for the LoadMetric resource
      Returns:
        this

    - #### loadMetric

          public T loadMetric(LoadMetricSupplier supplier)

      Install a supplied LoadMetric object to the list of subresources

    - #### customLoadMetrics

          public T customLoadMetrics(List<CustomLoadMetric> value)

      Add all CustomLoadMetric objects to this subresource
      Parameters:
        `value` - List of CustomLoadMetric objects.
      Returns:
        this

    - #### customLoadMetric

          public T customLoadMetric(CustomLoadMetric value)

      Add the CustomLoadMetric object to the list of subresources
      Parameters:
        `value` - The CustomLoadMetric to add
      Returns:
        this

    - #### customLoadMetric

          public T customLoadMetric(String childKey,
                                    CustomLoadMetricConsumer consumer)

      Create and configure a CustomLoadMetric object to the list of subresources
      Parameters:
        `key` - The key for the CustomLoadMetric resource
        `config` - The CustomLoadMetricConsumer to use
      Returns:
        this

    - #### customLoadMetric

          public T customLoadMetric(String childKey)

      Create and configure a CustomLoadMetric object to the list of subresources
      Parameters:
        `key` - The key for the CustomLoadMetric resource
      Returns:
        this

    - #### customLoadMetric

          public T customLoadMetric(CustomLoadMetricSupplier supplier)

      Install a supplied CustomLoadMetric object to the list of subresources

    - #### decay

          public Integer decay()

      Decay

    - #### decay

          public T decay(Integer value)

      Decay

    - #### history

          public Integer history()

      History

    - #### history

          public T history(Integer value)

      History

Copyright © 2018 JBoss by Red Hat. All rights reserved.